/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

public class Bulb {

    boolean isOn;

    /**
     * Creates a new Bulb.
     */
    public Bulb() {
        FrogRiddleVisualization.visualizeBulbCreation(this);
    }

    /**
     * Turns on the light.
     */
    public void turnOn() {
        setOn(true);
    }

    /**
     * Turns off the light.
     */
    public void turnOff() {
        setOn(false);
    }

    /**
     * Returns true if the light is on.
     */
    public boolean isOn() {
        return isOn;
    }

    /**
     * Sets on/off the light.
     * @param state The required state true(on)/false(off).
     */
    public void setOn(boolean state) {
        boolean changed = isOn!=state;
        isOn = state;
        if (changed) {
            FrogRiddleVisualization.visualizeBulbStateChange(this);
        }
    }

}
