/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

import java.awt.*;

public class HanoiVisualization {

    private static HanoiVisualizationPanel visualization;

    static {
        Frame f = new Frame();
        f.setSize(800,600);
        visualization = new HanoiVisualizationPanel();
        f.add(visualization, BorderLayout.CENTER);
        f.setVisible(true);
        visualization.init();
        visualization.validate();
        visualization.repaint();
    }

    public static void visualizeAddDisk(Pile pile, Disk disk) {
        visualization.visualizeAddDisk(pile, disk);
    }
    
    public static void visualizeRemoveDisk(Pile pile, Disk disk) {
        visualization.visualizeRemoveDisk(pile, disk);
    }

    public static void visualizePileCreation(Pile pile) {
        visualization.visualizePileCreation(pile);
    }
}