/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

import java.awt.*;
import java.io.Serializable;

public abstract class Figure implements Serializable {

    // The base location of the figure
    protected int x,y;

    // The interior and border colors of the figure
    private Color interiorColor;
    private Color borderColor;

    public abstract void draw(Graphics g);

    public void setInteriorColor(Color c) {
        interiorColor = c;
    }

    public final Color getInteriorColor() {
        return interiorColor;
    }

    public void setBorderColor(Color c) {
        borderColor = c;
    }

    public final Color getBorderColor() {
        return borderColor;
    }

    public void setLocation(int x, int y) {
        this.x=x;
        this.y=y;
    }

    public Point getLocation() {
        // improve
        return new Point(x,y);
    }

}