/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

import java.awt.*;

public class NimChipIcon extends Component {

    // The pile to which the chip belongs
    private int pile;

    private static final int DEFAULT_WIDTH = 70;
    private static final int DEFAULT_HEIGHT = 20;

    /**
     * Constructs a new chip.
     */
    public NimChipIcon() {
        setSize(DEFAULT_WIDTH,DEFAULT_HEIGHT);
    }

    /**
     * Return the center point of this component.
     */
    public Point getCenter() {
        Point center = new Point(getLocation());
        center.translate(getSize().width/2,getSize().height/2);
        return center;
    }

    /**
     * Paint this chip.
     */
    public void paint(Graphics g) {
        int w = getSize().width-1;
        int h = getSize().height-1;
        g.setColor(Color.yellow);
        g.fillRoundRect(0,0,w,h,6,6);
        g.setColor(Color.black);
        g.drawRoundRect(0,0,w,h,6,6);
    }

    /**
     * Returns the preferred size of this component.
     */
    public Dimension getPreferredSize() {
        Dimension d = new Dimension(DEFAULT_WIDTH,DEFAULT_HEIGHT);
        return d;
    }

    /**
     * Returns the minimal size of this component.
     */
    public Dimension getMinimalSize() {
        return getPreferredSize();
    }

}