/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

public class NimHeap {

    // The size of the heap
    private int size;

    /**
     * Creates a new empty heap.
     */
    public NimHeap() {
        this(0);
    }

    /**
     * Creates a new heap with a given size.
     * @param size The size of the heap
     * (The number of chips in the heap).
     */
    public NimHeap(int size) {
        this.size = size;
        NimGameVisualization.visualizeHeapCreation(this);
    }

    /**
     * Sets the size of the heap.
     * @param size The required size for the heap.
     */
    public void setSize(int size) {
        this.size = size;
    }

    public final int getSize() {
        return size;
    }

    public void removeChip() {
        size--;
    }
}