/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * Indicates a problem in reading from or creating a TextDocument
 * object.
 * <P>
 * <B>Note:</B> In practice this exception should'nt be a
 * RuntimeException (More appropreately it should be replaced
 * or subclassed from IOException). The should be force to
 * write code that handles this exception. This implementation
 * uses a RuntimeException to enable the using of textual
 * inputs before the disscussion about exceptions.
 *
 * @author Shmulik London
 */
public class TextException extends RuntimeException {

    /**
     * Constructs a new TextException
     * @param cause The cause for the Exception
     */
    public TextException(String cause) {
        super(cause);
    }

    /**
     * Constructs a new TextException
     */
    public TextException() {
    }

}
