/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

import java.awt.*;
import java.awt.event.*;

/**
 * A window in which the turtle plane is displayed.
 *
 * @author Shmulik London
 */
public class LogoWindow extends Frame {

    LogoPlane plane;

    private static LogoWindow defaultWindow;

    static {
        defaultWindow = new LogoWindow();
        defaultWindow.setVisible(true);
    }

    public LogoWindow() {
        setLayout(new BorderLayout(3,3));
        setSize(600,500);
        plane = new LogoPlane();
        add(plane, BorderLayout.CENTER);
        Button exitButton = new Button("Exit");
        Panel bottomPanel = new Panel();
        add(bottomPanel, BorderLayout.SOUTH);
        bottomPanel.add(exitButton);
        exitButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent event) {
                System.exit(0);
            }
        });
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent event) {
                System.exit(0);
            }
        });
    }

    public LogoPlane getPlane() {
        return plane;
    }

    public static LogoWindow getDefaultWindow() {
        return defaultWindow;
    }

}