package electronics.ui;

import java.awt.*;
import electronics.*;

/**
 * A graphical component that represents an or gate. 
 * 
 * @author <A Href=mailto:londons@cs.huji.ac.il>Shmulik London</A>
 */
public class NandGateFigure extends ElectronicGateFigure {
  
    private static final int CIRCLE_SIZE = 8;
    
    /**
     * Constructs a new OrGateFigure.
     */
    protected NandGateFigure() {
        super(2); // temp
    }

    /**
     * Paints the figure of the gate.
     */
     public void paint(Graphics g) {
        int hMargin = 6;
        int x = hMargin;
        int y = 0;
        int width = getSize().width-1-hMargin*2-CIRCLE_SIZE;
        int height = getSize().height-1;
        g.setColor(getBackground());
        g.fillArc(x-width,y,width*2,height,270,180);
        g.fillOval(getSize().width-CIRCLE_SIZE-hMargin,(height-CIRCLE_SIZE)/2,CIRCLE_SIZE,CIRCLE_SIZE);
        g.setColor(getForeground());
        g.drawArc(x-width,y,width*2,height,270,180);
        g.drawLine(hMargin, 0, hMargin, height);
        g.drawOval(getSize().width-CIRCLE_SIZE-hMargin,(height-CIRCLE_SIZE)/2,CIRCLE_SIZE,CIRCLE_SIZE);
        y = getInputLocation(0).y-getLocation().y;
        g.drawLine(0, y, hMargin, y);
        g.drawLine(0, y-1, hMargin, y-1);
        y = getInputLocation(1).y-getLocation().y;
        g.drawLine(0, y, hMargin, y);
        g.drawLine(0, y-1, hMargin, y-1);
        y = getOutputLocation().y-getLocation().y;
        g.drawLine(getSize().width, y, getSize().width-hMargin, y);
        g.drawLine(getSize().width, y-1, getSize().width-hMargin, y-1);
    }

    /**
     * Returns the preferred size of this component.
     */
    public Dimension getPreferredSize() {
        return new Dimension(50+CIRCLE_SIZE,50);
    }

}