package electronics.ui;

import java.awt.*;
import electronics.*;

/**
 * A graphical component that represents an or gate. 
 * 
 * @author <A Href=mailto:londons@cs.huji.ac.il>Shmulik London</A>
 */
public class OrGateFigure extends ElectronicGateFigure {
  
    /**
     * Constructs a new OrGateFigure.
     */
    public OrGateFigure() {
        super(2); // temp
    }

    /**
     * Paints the figure of the gate.
     */
    public void paint(Graphics g) {
        int hMargin = 5;
        int x = hMargin;
        int eaten = 10;
        int y = 0;
        int width = getSize().width-1-hMargin*2;
        int height = getSize().height-1;
        g.setColor(getBackground());
        g.fillArc(x-width,y,width*2,height,270,180);
        g.setColor(Color.white);
        g.fillArc(x-eaten,y,eaten*2,height,270,180);
        g.setColor(getForeground());
        g.drawArc(x-width,y,width*2,height,270,180);
        g.drawArc(x-eaten,y,eaten*2,height,270,180);
        y = getInputLocation(0).y-getLocation().y;
        g.drawLine(0, y, hMargin+eaten-3, y);
        g.drawLine(0, y-1, hMargin+eaten-3, y-1);
        y = getInputLocation(1).y-getLocation().y;
        g.drawLine(0, y, hMargin+eaten-3, y);
        g.drawLine(0, y-1, hMargin+eaten-3, y-1);
        y = getOutputLocation().y-getLocation().y;
        g.drawLine(getSize().width, y, getSize().width-hMargin, y);
        g.drawLine(getSize().width, y-1, getSize().width-hMargin, y-1);
    }

    /**
     * Returns the preferred size of this component.
     */
    public Dimension getPreferredSize() {
        return new Dimension(50,50);
    }

}