/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * A simmulation of a simple buckets problem.
 * This program asks the user to enter two integer
 * number x,y. It creates 4 buckets A,B,C and D with
 * capacities x,x,y and z=2x-y correspondingly.
 * It will then fills bucket D using buckets A,B,C.
 * Note: the program assumes that x,y>0 and 2x-y>=0.
 *
 * @author Shmulik London
 */
public class BucketsProblem {

    public static void main(String[] args) {
        int x,y,z; // The capacities of the buckets

        InputRequestor input = new InputRequestor();
        x = input.requestInt("Enter bucket 1 capacity:");
        y = input.requestInt("Enter bucket 2 capacity:");
        z = 2*x-y;

        Bucket bucketA = new Bucket(x);
        Bucket bucketB = new Bucket(x);
        Bucket bucketC = new Bucket(y);
        Bucket bucketD = new Bucket(z);

        bucketA.fill();
        bucketB.fill();
        bucketA.pourInto(bucketC);
        bucketB.pourInto(bucketC);
        bucketA.pourInto(bucketD);
        bucketB.pourInto(bucketD);
    }
}
