/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

// This program asks the user for a integer between 0 and 100
// representing the amount of a purchase in cents. The proram
// prints the amount of change from one dollar, and prints the
// number of quarters, dimes, nickels and pennies that should
// be returned maximizing the coins of higher value.
// See Lewis, Loftus / Java Software Solutions, pp. 118.
class PurchaseChange {

    public static void main(String[] args) {
        InputRequestor input = new InputRequestor();
        OutputWindow output = new OutputWindow();

        int amount; // The amount of purchase in cents

        amount = input.requestInt("Enter the purchase amount [0-100]:");

        if (amount<0 || amount>100) {
            output.println("The amount should be in the range 0..100");
            return;
        }

        int change = 100-amount;
        output.println("Your change of "+change+" cents is given as:");

        int quarters = change/25;
        change = change%25;
        int dimes = change/10;
        change = change%10;
        int nickels = change/5;
        int pennies = change%5;

        output.println("  "+quarters+" Quarters");
        output.println("  "+dimes+" Dimes");
        output.println("  "+nickels+" Nickels");
        output.println("  "+pennies+" Pennies");
    }
}