/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * This program receives an integer n denoting the number of edges in a
 * polygon. Draws a perfect polygon with n edges, each of
 * length of 500/n units.
 *
 * @author Shmulik London
 */
class PerfectPolygon {
    
    // The size of the polygon edge is the basic edge
    // size divided by the number of edges
    static final int BASIC_EDGE_SIZE = 500;

    public static void main(String[] args) {
        OutputWindow output = new OutputWindow();
        InputRequestor input = new InputRequestor();
        
        int n=0; // The number of edges of the polygon
        
        // Getting the number of edges from the user
        // The number of edges must be at least 3
        while(n<3) {
            n = input.requestInt("Please enter number of edges: ");
            if (n<3) {
                output.println("Invalid input. ");
                output.println("A polygon must have at least 3 edges.");
            }
        } 
        
        // computing the polygon parameters
        int angle = 360/n;
        int edgeLength = BASIC_EDGE_SIZE/n;

        // Drawing the polygon
        Turtle painter = new Turtle();
        painter.tailDown();

        int i=0;
        while(i<n) {
            painter.moveForward(edgeLength);
            painter.turnLeft(angle);
            i=i+1;
        }
    }
}
