/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

// Finds the longest and shortest non empty text lines in a text file.
// The name of the text file is fixed - "flatland.txt".
class LongestAndShortestLines {

    static final String FILE_NAME = "flatland.txt";

    public static void main(String[] args) {
        TextDocument text = new TextDocument(FILE_NAME);
        OutputWindow output = new OutputWindow();

        String longest = null;  // Keep track of the longest line
        String shortest = null; // Kepp track of the shortest line

        // Reads and analyzes the lines of the text-flie
        while(text.hasMoreLines()) {
            String line = text.nextLine().trim(); // The current line

            if (longest==null ||
                longest.length() < line.length()) {
                longest=line;
            }
            if (shortest==null ||
                (shortest.length() > line.length() &&
                 line.length() > 0)) {
                shortest=line;
            }
        }

        // Print the result of the analysis
        if (longest == null) {
            output.println("All lines are empty.");
        }
        else {
            output.println("The longest line is:");
            output.println(longest);
            output.println("The shortest line is:");
            output.println(shortest);
        }
    }
}
