/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * A test class for class Rectangle.
 */
public class TestRectangle {
    
    private static float INITIAL_EDGE_SIZE = 100.0f;
    private static float TOP = 200.0f;
    private static float LEFT = 10.0f;
    private static float DELTA = 0.01f;
    
    public static void main(String[] args) {
        
        float totalArea = 0.0f;
        float perimetersSum = 0.0f;
        
        Rectangle square = 
            new Rectangle(LEFT, TOP, INITIAL_EDGE_SIZE, INITIAL_EDGE_SIZE);
        while (square.getWidth() > DELTA) {
            square.draw();
            totalArea = totalArea + square.area();
            perimetersSum = perimetersSum + square.perimeter();
            square.moveTo(square.getX()+square.getWidth()+2, square.getY());
            square.stretch((float)(1.0/Math.sqrt(2.0)));
        }
        
        OutputWindow output = new OutputWindow();
        output.println("The total area is "+totalArea);
        output.println("The sum of perimeters is "+perimetersSum);
    }
}