/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/**
 * A test class for class QuadricFunction. This program runs in a loop that ask the user to
 * enter the coefficients of a quadric function. It prints the roots and the maximal and
 * minimal values for each function. The loop ends when the three coefficients are all zero.
 *
 * @author Shmulik London
 */
class TestQuadricFunction {

    public static void main(String[] args) {

        InputRequestor input = new InputRequestor();
        OutputWindow output = new OutputWindow();

        double a,b,c;
        do {
            a = input.requestDouble("Enter value for a:");
            b = input.requestDouble("Enter value for b:");
            c = input.requestDouble("Enter value for c:");

            QuadricFunction1 f = new QuadricFunction1(a, b, c);

            int n = f.getNumberOfRoots();
            switch(n) {
            case 0:
                output.println(f+" has no roots.");
                break;
            case 1:
                output.println(f+" has the single root "+
                    f.getLowRoot());
                break;
            case 2:
                output.println("The roots of "+f+" are "+
                    f.getLowRoot()+" and "+f.getHighRoot());
                break;
            }
            output.println("The minimum value of "+f+" at "+
                f.getGlobalMinima()+ " is "+f.getMinimalValue());
            output.println("The maximum value of "+f+" at "+
                f.getGlobalMaxima()+" is "+f.getMaximalValue());
            output.println();
       } while(a!=0.0 || b!=0.0 || c!=0.0);
    }
}