/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

/*
 * This program simulates the following riddle.
 * A riddle: A frog is standing in front of an avenue of 100 bulbs.
 * At the beginning all the bulbs are turned-off. The frog starts jumping
 * over the bulbs (one at each step). whenever the frog lands on
 * a bulb, the bulb change its state - off to on. Then, the frog returns to
 * its starting point and starts jumping again, now in steps of 2 (turning off
 * all lamps in the even positions). Then it jumps in steps of 3, then in steps
 * of 4, and so on. Which bulbs will be turned-on in the end of the process
 * (after the frog jump over all the bulbs in a single jump) ?
 *
 * The program solves & visualize the problem with only 16 bulbs.
 */
public class VisualizedFrogRiddle1 {

    static final int NUMBER_OF_BULBS = 16;

    /**
     * Solves the riddle
     */
    public static void main(String[] args) {
        Frog frog = new Frog();

        Bulb[] bulbs = new Bulb[NUMBER_OF_BULBS];
        for (int i=0; i<NUMBER_OF_BULBS; i++) {
            bulbs[i]=new Bulb();
        }
        for (int step=1; step <= NUMBER_OF_BULBS; step++) {
            frog.setPosition(0);
            while(frog.getPosition() <= NUMBER_OF_BULBS-step) {
                frog.jumpBy(step);
                bulbs[frog.getPosition()-1].setOn(
                    !bulbs[frog.getPosition()-1].isOn());
            }
        }
        frog.setPosition(0);
    }
}