/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

import java.util.Random;

/**
 * This class is a test program for class Statistics.
 * The program produces a population of people with an average height of 175cm and
 * standard diviation of 10cm. It uses class Statistics to print the measured average
 * height of the population, the minimum height and maximum height.
 *
 * @author Shmulik London londons@cs.huji.ac.il
 */
class PopulationExample {

    static final double EXPECTED_HEIGHT = 175.0; // cm
    static final double SIGMA = 10.0; // +-10cm

    /**
     * Produces a population of heights and prints statistical
     * information for this population.
     */
    public static void main(String[] args) {
        InputRequestor input = new InputRequestor();
        OutputWindow output = new OutputWindow();

        int size = input.requestInt("Enter population size: ");

        double[] heights = producePopulation(size);

        double minHeight = Statistics.min(heights);
        double maxHeight = Statistics.max(heights);
        double averageHeight = Statistics.average(heights);

        output.println("The average height is "+averageHeight);
        output.println("The minimum height is "+minHeight);
        output.println("The maximum height is "+maxHeight);
    }

    /**
     * Produces the population of heights.
     */
    static double[] producePopulation(int size) {
        double[] heights = new double[size];
        Random random = new Random();

        for (int i=0; i<size; i++) {
            heights[i] = EXPECTED_HEIGHT+SIGMA*random.nextGaussian();
        }
        return heights;
    }
}