/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

// A test program for class Vocabulary
class VocabularyTest {
    
    private static final String DICTIONARY = "english_words.txt";
    
    public static void main(String[] args) {
        int numberOfWords = countLines(DICTIONARY);
        String[] words = new String[numberOfWords];
        TextDocument document = new TextDocument(DICTIONARY);
        for (int i=0; i<words.length; i++) {
            words[i] = document.nextLine().trim();
        }
        Vocabulary vocabulary = new Vocabulary(DICTIONARY);
        test(vocabulary, words);
    }
    
    private static void test(Vocabulary vocabulary, String[] words) {
        for (int i=0; i<words.length; i++) {
            String word = words[i];
            //System.out.print("looking for "+word);
            if (!vocabulary.contains(word)) {
                System.out.println("didn't find "+word+" at "+i);
            } else {
                //System.out.println(" ... found");
            }
            if (vocabulary.contains(word+1)) {
                System.out.println("found "+word+1);
            }
        }
    }

    // Checks if a given words is found in a given list of words
    private static boolean contains(String[] words, String word) {
        for (int i=0; i<words.length; i++) {
            if (words[i].equals(word)) {
                return true;
            }
        }
        return false;
    }
    
    // Counts the number of lines in a text line
    // filename - The name of the given text file
    private static int countLines(String filename) {
        TextDocument document = new TextDocument(filename);
        int numberOfLines = 0;
        while (document.hasMoreLines()) {
            numberOfLines++;
            document.nextLine();
        }
        return numberOfLines;
    }
            
}
            
