/*
 * (c) Copyright 1998 by Shmulik London (londons@gmail.com). All rights reserved.
 *
 * Redistribution and use of this source code, with or without modification,
 * are permitted for educational non-commercial use provided that it retains
 * the above copyright notice and the following disclaimer.
 *
 * This source code was developed to support the course 'Introduction to Computer Science'
 * given in the Interdisciplinary Center Herzelia in 1998,1999 by Shmulik London.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. THE AUTHOR OF THIS SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES
 * ABOUT THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING
 * BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. THE AUTHOR SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 */

import logo.*;

public class FractaragosFigure {
    
    private static double finalSize = 25;
    
    public static void main(String[] args) {
        double size = 1500;
        Turtle t = new Turtle();
        t.moveTo(400,600);
        t.setDelay(0);
        t.setAngle(90);
        t.tailDown();
        drawBranch(t,size);
    }
    
    static void drawBranch(Turtle t, double size) {
        if (size<=finalSize) {
            t.moveForward(size);
            return;
        }
        double angle = t.getAngle();
        t.moveForward(size/5.5);
        for (int i=0; i<5; i++) {
            t.settle();
            t.setAngle(angle-60+i*30);
            drawBranch(t,size/2);
            t.home();
        }
    }
}